net.minecraft.network.packet

## Class Packet209SetPlayerTeam

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet209SetPlayerTeam

-     public class Packet209SetPlayerTeam
      extends Packet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `friendlyFire` Only if mode = 0 or 2.
    `int` | `mode` If 0 then the team is created.
    `Collection` | `playerNames` Only if mode = 0 or 3 or 4.
    `String` | `teamDisplayName` Only if mode = 0 or 2.
    `String` | `teamName` A unique name for the team.
    `String` | `teamPrefix` Only if mode = 0 or 2.
    `String` | `teamSuffix` Only if mode = 0 or 2.

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet209SetPlayerTeam()`
    `Packet209SetPlayerTeam(ScorePlayerTeam par1ScorePlayerTeam, Collection par2Collection, int par3)`
    `Packet209SetPlayerTeam(ScorePlayerTeam par1ScorePlayerTeam, int par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPacketSize()` Abstract.
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInput par1DataInput)` Abstract.
    `void` | `writePacketData(DataOutput par1DataOutput)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### teamName

          public String teamName

      A unique name for the team.

    - #### teamDisplayName

          public String teamDisplayName

      Only if mode = 0 or 2.

    - #### teamPrefix

          public String teamPrefix

      Only if mode = 0 or 2. Displayed before the players' name that are part of this team.

    - #### teamSuffix

          public String teamSuffix

      Only if mode = 0 or 2. Displayed after the players' name that are part of this team.

    - #### playerNames

          public Collection playerNames

      Only if mode = 0 or 3 or 4. Players to be added/remove from the team.

    - #### mode

          public int mode

      If 0 then the team is created. If 1 then the team is removed. If 2 the team team information is updated. If 3 then new players are added to the team. If 4 then players are removed from the team.

    - #### friendlyFire

          public int friendlyFire

      Only if mode = 0 or 2.

  - ### Constructor Detail

    - #### Packet209SetPlayerTeam

          public Packet209SetPlayerTeam()

    - #### Packet209SetPlayerTeam

          public Packet209SetPlayerTeam(ScorePlayerTeam par1ScorePlayerTeam,
                                int par2)

    - #### Packet209SetPlayerTeam

          public Packet209SetPlayerTeam(ScorePlayerTeam par1ScorePlayerTeam,
                                Collection par2Collection,
                                int par3)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInput par1DataInput)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutput par1DataOutput)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`